跳至主要內容

常见问题

小于 1 分钟约 269 字

Python安装PyQt6和设计师软件

问题:

安装PyQt6-tools出现报错:

 Installing build dependencies ... done
  Getting requirements to build wheel ... done
  Preparing metadata (pyproject.toml) ... error
  error: subprocess-exited-with-error

  × Preparing metadata (pyproject.toml) did not run successfully.
  │ exit code: 1
  ╰─> [26 lines of output]

解决方法:

从pypi下载该文件。这是链接:https://pypi.org/project/PyQt6/#filesopen in new window
下载windows版本,名称为“PyQt6-6.4.1-cp37-abi3-win_amd64.whl”
将文件重命名为"PyQt6-6.4.1-py3-none-win_amd64.whl"
现在从pypi下载插件文件。这是链接:https://pypi.org/project/pyqt6-plugins/#filesopen in new window
下载名为"pyqt6_plugins-6.1.0.2.2-cp39-cp39-win_amd64.whl"的文件
将最后一个文件重命名为"pyqt6_plugins-6.1.0.2.2-py3-none-win_amd64.whl"
现在,用WinRar(或类似的)打开最后一个文件,它现在被重命名为“pyqt6_plugins-6.1.0.2.2-py3-none-win_amd64.whl”
打开文件夹"pyqt6_plugins-6.1.0.2.2.dist-info"
用文本编辑器打开“METADATA”文件。
找到一行:"Requires-Dist: pyqt6(==6.1.0)"并更改为"Requires-Dist: pyqt6"。保存文件。
现在你的两个文件都准备好了,你只需要手动安装它们:
pip install PyQt6-6.4.1-py3-none-win_amd64.whl
pip install pyqt6_plugins-6.1.0.2.2-py3-none-win_amd64.whl
源地址:https://stackoverflow.com/questions/72060996/cannot-install-pyqt6-tools-in-python-3-11-on-windowsopen in new window

上次编辑于:
贡献者: Qi1